SDL_GetGamepadSensorDataRate(3)

NAME
SDL_GetGamepadSensorDataRate - Get the data rate (number of events per second) of a gamepad sensor.

HEADER FILE
Defined in SDL3/SDL_gamepad.h

SYNOPSIS
#include "SDL3/SDL.h"

float SDL_GetGamepadSensorDataRate(SDL_Gamepad *gamepad, SDL_SensorType type);

FUNCTION PARAMETERS

gamepad
    The gamepad to query

type
    The type of sensor to query

RETURN VALUE
Returns the data rate, or 0.0f if the data rate is not available.

AVAILABILITY
This function is available since SDL 3.0.0.